Page MenuHomePhabricator

Setup memcached cluster in codfw
Closed, ResolvedPublic

Description

In order to make the appserver stack work in codfw, we need a memcached cluster there

Event Timeline

Joe created this task.Jan 15 2015, 10:02 AM
Joe raised the priority of this task from to Needs Triage.
Joe updated the task description. (Show Details)
Joe added projects: acl*sre-team, ops-core.
Joe added a subscriber: Joe.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 15 2015, 10:02 AM
Joe set Security to None.
Dzahn triaged this task as Normal priority.Jan 28 2015, 5:54 PM
Dzahn added a subscriber: Dzahn.
Joe claimed this task.Feb 5 2015, 3:57 PM
RobH claimed this task.Feb 6 2015, 8:35 PM
RobH added a subscriber: RobH.

claiming this to get the network ports configured and setup

RobH added a comment.Feb 6 2015, 8:59 PM

All network ports have set descriptions and are now enabled in the private vlan for each row.

So IP allocation needs to be:

mc2001-2006 row a
mc2007-2012 row b
mc2013-2018 row c

I'll set this up shortly and then pull mac info for all the existing systems.

Is mc setup to be jessie at this point in time?

RobH added a comment.Feb 6 2015, 9:15 PM

dns setup.

Joe added a comment.Feb 9 2015, 8:48 AM

Yes, all the memcached servers will be jessie at this point.

Joe added a comment.Feb 19 2015, 8:26 AM

I still need the mac addresses for these hosts; I'll pull out the one for mc2001 anyways as I need to test installation at this point.

Joe added a comment.Feb 20 2015, 8:22 AM

After spending almost one day on it:

  • MAC addresses for all hosts are missing in the dhcp configuration (I am fixing it slowly, not easy as there is apparently no way of getting the intel NIC mac address from the drac
  • All hosts between mc2001 and 2006 have flakey consoles, non had console redirection after boot enabled
  • mc2001 seems not to be cabled correctly, when booted in PXE mode it doesn't reach the dhcp server
  • mc2002 has the wrong port cabled
  • mc2007 is in the same situation as mc2001

In general, I would request that all of the following gets verified:

  • That console redirection after boot is enabled everywhere
  • That the functioning of the console is verified after installation
  • That the correct entries for the MAC addresses are put into the dhcp file

I will be installing mc2003 today, so please don't touch it, but I'd need you to verify all the other hosts please.

Joe raised the priority of this task from Normal to High.Feb 20 2015, 8:23 AM
RobH reassigned this task from RobH to Joe.Feb 23 2015, 7:08 PM
Joe added a comment.Feb 24 2015, 3:28 PM

I fixed a few of the earlier woes, but I opened subtasks for the remaining blocker items

Joe closed this task as Resolved.Mar 24 2015, 4:39 PM